Bug 114176 - copying and pasting from the input line does not work
copying and pasting from the input line does not work
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Reed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-23 11:49 EST by Raphael Clifford
Modified: 2014-09-16 11:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-02 18:29:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 32991 master ABANDONED vdsm-tool: always define log_outputs in libvirt's conf. Never

  None (edit)
Description Raphael Clifford 2004-01-23 11:49:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
 In fedora FC1 using the latest xchat (2.0.7) and also
the fedora version (2.0.4) copying and pasting from the
input line does not work using the middle mouse button.

What does work using the middle mouse button:

1) Copying and pasting in X generally.
2) Copying and pasting from the scrolling text in xchat
3) Highlighting text that is being input in xchat
(before pressing enter) and pasting it anywhere else
but in xchat

What doesn't work

a) Highlighting text that is being input in one xchat
window (before pressing enter) and pasting it into the
input line of another xchat window using the middle mouse button.


Cheers,
Raphael

Version-Release number of selected component (if applicable):
2.0.4 and 2.0.7

How reproducible:
Always

Steps to Reproduce:
1.type some text in xchat. Don't press enter
2. Highlight it
3. attempt to paste in another xchat window using the middle mouse button
    

Actual Results:  Nothing happens when you try to paste it. It doesn't
get pasted.

Expected Results:  The highlighted text should be pasted.

Additional info:
Comment 1 Mike A. Harris 2004-01-26 09:20:20 EST
I've just tested this and confirmed the issue described exists in
xchat 2.0.2, and have had others confirm it in 2.0.4 and 2.0.7 as
well.  The problem has been reported to the upstream xchat
author via the sourceforge bug tracker:

http://sourceforge.net/tracker/index.php?func=detail&aid=883069&group_id=239&atid=100239

I will monitor this issue in the upstream bug tracker and apply any
bug fixes that become available.

Changing status to 'UPSTREAM' to monitor periodically.
Comment 2 Daniel Reed 2004-08-02 18:29:43 EDT
This is an upstream issue and has been reported.

Note You need to log in before you can comment on or make changes to this bug.